Name:		python-filelock
Version:	3.0.12
Release:	3
Summary:	A platform independent file lock
License:	Unlicense
URL:		https://github.com/benediktschmitt/py-filelock
Source0:	https://github.com/benediktschmitt/py-filelock/archive/v%{version}/py-filelock-%{version}.tar.gz

BuildArch:      noarch

%description
This package contains a single module, which implements a platform
independent file locking mechanism for Python.

%package doc
Summary:        Documentation for filelock, A platform independent file lock
BuildRequires:  python3-sphinx

%description doc
Documentation for filelock, A platform independent file lock

%package -n python3-filelock
Summary:        A platform independent file lock
BuildRequires:  python3-devel python3-setuptools
%{?python_provide:%python_provide python3-filelock}
Suggests:       %{name}-doc

%description -n python3-filelock
This package contains a single module, which implements a platform
independent file locking mechanism for Python.

%package_help

%prep
%autosetup -p1 -n py-filelock-%{version}

%build
%_bindir/python3 setup.py build '--executable=%_bindir/python3 -s'
%make_build -C docs html man SPHINXBUILD=sphinx-build-%{python3_version}
rm docs/build/html/.buildinfo

%install
%_bindir/python3 setup.py install -O1 --skip-build --root %buildroot

install -p -m0644 -D docs/build/man/py-filelock.1 \
	%{buildroot}%{_mandir}/man1/py-filelock.1

%check
%{__python3} test.py

%files doc
%defattr(-,root,root)
%license LICENSE
%doc docs/build/html

%files -n python3-filelock
%defattr(-,root,root)
%license LICENSE
%_prefix/lib/python%{python3_version}/site-packages/filelock.py
%_prefix/lib/python%{python3_version}/site-packages/filelock-%{version}-py3.*.egg-info
%_prefix/lib/python%{python3_version}/site-packages/__pycache__/filelock*.py[co]

%files help
%defattr(-,root,root)
%doc README.md
%{_mandir}/man1/py-filelock.1.gz

%changelog
* Thu Mar 3 2022 zhaoshuang<zhaoshuang@uniontech.com> - 3.0.12-3
- remove unnecessary buildrequires

* Thu Jun 18 2020 hanhui<hanhui15@huawei.com> - 3.0.12-2
- bugfix
- fix python can not find file

* Tue Feb 11 2020 huzunhao<huzunhao2@huawei.com> - 3.0.12-1
- Package init
